struct ClassLibrary *OpenClass(CONST_STRPTR name, CONST_STRPTR prefix, ULONG version)

/* Open named class. Look both in current and images/ directory
 */
{
	static struct EasyStruct OpenClassES =
	{
		sizeof(struct EasyStruct),
		0,
		versiontag + 6,
		"Couldn't open %s version %ld or greater",
		"Ok"
	};

	struct ClassLibrary *classbase;
	char buf[256];
	int i;


	if (!(classbase = (struct ClassLibrary *)OpenLibrary(name, version)))
	{
		/* We can't use AddPart() here because we didn't open dos.library */

		/* Copy the prefix in the buffer */
		for (i = 0; buf[i] = prefix[i]; i++);

		/* Insert trailing character if missing */
		if(buf[i] != '/')
			buf[++i] = '/';

		/* Append the name */
		while (buf[i++] = *name++);

		/* Try again */
		classbase = (struct ClassLibrary *)OpenLibrary(buf, version);

		if (!classbase)
		{
			/* Report an error */
			EasyRequest(NULL, &OpenClassES, NULL, buf, version);
		}
	}
	return classbase;
}
