#
# $Id:$
#
# Copyright (C) 1999 by Matteo Cavalleri
#

## This is an empty local config.mk file. You should fill
## the required fields, copy it to your class directory
## and rename it to "config.mk".
## Detailed explanations of the various variables are
## given below. Please be sure to give the right value
## to all the variables, or you may get unpredictable
## results!!
##
## We also suggest you to delete the lines beginning with
## two '##' like the ones you are reading now. This will
## make the processing of this file faster since make 
## won't have to strip tons of comments.

###########################################################
# your stuff
#

##
## CLASSLIB is the name of the compiled class, like
## "label.image" or "listview.gadget", etc.
## This is required by the makefile. It will also
## define the symbol "NAME" with this variable's
## value so that it can be used in your source.
##
## example:
##
## CLASSLIB := button.gadget
##
CLASSLIB :=
##
## CLASSSRC is the name of the source code of
## your class, extension included.
## This is required by the Makefile.
##
## example
##
## CLASSSRC := ButtonGClass.c
##
CLASSSRC :=
##
## DEMOSRC is the name of the source code
## of your demo program, extension included.
## This is required by the Makefile.
##
## example
##
## DEMOSRC := ButtonGDemo.c
##
DEMOSRC  :=
##
## SUBDIR is the directory name where your class
## will be copied when you will execute the
## 'install' target. It must be "images" if your
## class is a BOOPSI image, "gadgets" if your class
## is a BOOPSI gadget or just an empty string if
## your class is a general BOOPSI object.
##
## example
##
## SUBDIR := gadgets
##
SUBDIR   :=


###########################################################
# class version information
#

##
## CLASSVER is the version number of your class library
## e.g. if your library is version 1.2 CLASSVER is 1.
## It is required to compile the library startup code,
## and will also be used to define a symbol named VERSION,
## so that you can use it in your source code.
##
## example
##
## CLASSVER := 1
##
CLASSVER  :=
##
## CLASSREV is the revision number of your class library
## e.g. if your library is version 1.2 CLASSREV is 2.
## It is required to compile the library startup code,
## and will also be used to define a symbol named VERSION,
## so that you can use it in your source code.
##
## example
##
## CLASSREV := 2
##
CLASSREV  :=
##
## CLASSDATE is the date of your class library. It follow
## the standard AmigaOS rules, so it must be enclosed in
## parenthesis and have the following format: Day.Month.Year
## It is used to define a symbol named DATE so that you can
## use it in your source code.
##
## example
##
## CLASSDATE := (6.4.99)
##
CLASSDATE :=


###########################################################
# variable to make the linked library version
#

##
## PRV variables is used to compile the class as a linked
## library instead of the shared version. It is simply
## used to define a preprocessor simbol with the name
## you give here.
## It's up to you to create a class that can be compiled
## as a shared or static library depending on the
## definition of this symbol. The current makefile
## define it for a couple of targets, like 'debug', so
## we suggest you to implement this features. It's very
## easy and in most cases requires just some copy & paste
## from existing classes. Look at them or ask in the
## OpenBoopsi mailing list if you need a more detailed
## explanation.
##
## example
##
## PRV := PRIVATE_GADGETCLASS
##
PRV :=

