#ifndef SCROLLBUTTONCLASS_H
#define SCROLLBUTTONCLASS_H
/*
**	$Id: ScrollButtonClass.h,v 1.2 1999/01/30 13:23:12 bernie Exp $
**
**	Copyright (C) 1996,99 Bernardo Innocenti
**
**	This code is inspierd from ScrollerWindow 0.3
**	Copyright  1994 Christoph Feck, TowerSystems.
**
**	Use 4 chars wide TABs to read this file
**
**	The ROM buttongclass has two problems which make it not quite usable
**	for scroll arrows. The first problem is the missing delay. Once the next
**	INTUITICK gets sent by input.device, the ROM class already sends a
**	notification. The other problem is that it also notifies us, when the
**	button finally gets released (which is necessary for command buttons).
**
**	We define two new classes with the GM_GOACTIVE and GM_HANDLEINPUT methods
**	overloaded to work around these problems. The ScrollButtonClass is a
**	subclass of the buttongclass, suitable for use in the borders of a window.
**	The FrScrollButtonClass is instead a subclass of the FrButtonGClass. Both
**	classes share the same dispatcher: the only difference is the superclass
**	passed at CreateClass() time.
*/


#define SCROLLBUTTONCLASS	"scrollbuttonclass"
#define SCROLLBUTTONVERS	1


/* Functions to initialize and destroy the classes */

Class	*MakeScrollButtonClass (void);
Class	*MakeFrScrollButtonClass (void);
BOOL	 FreeScrollButtonClass (Class *cl);

#define FreeFrScrollButtonClass FreeScrollButtonClass



/*****************/
/* Class Methods */
/*****************/

/* This class does not define any new methods */

/********************/
/* Class Attributes */
/********************/

/* #define SBA_Dummy (TAG_USER | ('S'<<16) | ('B'<<8)) */

/* This class does not define any new attributes */




#endif /* !SCROLLBUTTONCLASS_H */
