/*
**	$Id: SliderBarGClass.h,v 1.1 1999/02/07 14:24:43 bernie Exp $
**
**	Copyright (C) 1999 Bernardo Innocenti
**	All rights reserved.
**
**	"sliderbargclass", a compound gadget which implements
**	the GadTools SLIDER_KIND in a boopsi fashon. This class
**	is derived from the groupgclass but from the outside it
**	can be manipulated as it were a normal propgclass boopsi
**	gadget. The slider bar gadget frames all its childs
**	automatically so it doesn't need an additional frame.
**
**	The up/down and left/right buttons are built using the
**	ScrollButton class using the glyphs provided by the
**	vectorglyph class.
*/

#define SLIDERBARGCLASS "sliderbargclass"
#define SLIDERBARVERS	1


/* Class initializer and terminator. Only avalable when
 * the class is compiled in the static linker object flavour.
 */
Class	*MakeSliderBarGClass (void);
BOOL	 FreeSliderBarGClass (Class *ListViewClass);


/*
 * New Methods:
 *
 *	This class does not define any new methods
 */


/*
 * New Attributes:
 *
 */
#define SBA_Dummy			(TAG_USER | ('S'<<16) | ('B'<<8))

#define SBA_Adjust			(SBA_Dummy + 1)
	/* [SU] (LONG) - Add the specified SIGNED quantity to the PGA_Top
	 * attribute. The result is clipped to valid values. This attribute
	 * is used internally by the class to handle the scroll buttons.
	 */

#define SBA_InternalTop		(SBA_Dummy + 2)
	/* [U] (ULONG) - PRIVATE: DO NOTO USE. Used by internal
	 * notification to synchronize the local copy of the Top
	 * attribute with the embedded Prop gadget.
	 */

/*
 * Changed attributes:
 *
 * LAYOUTA_Orientation
 *	[I] (ULONG) - Pass one of the LORIENT_#? modes.
 *	Defaults to LORIENT_HORIZ.
 *
 * PGA_Top
 * PGA_Total
 * PGA_Visible
 *	[ISGNU] (LONG) - These attributes are supported exactly as if
 *	they were inherited from the propgclass.
 *
 */

/* FIX: Define the attributes that not present
 * before V42 of <intuition/gadgetclass.h>.
 */
#ifndef LAYOUTA_Dummy
	#define	LAYOUTA_Dummy 		(TAG_USER+0x38000)
	#define LAYOUTA_Orientation	(LAYOUTA_Dummy+0x0003)
	#define LORIENT_NONE	0
	#define LORIENT_HORIZ	1
	#define LORIENT_VERT	2
#endif


/*
 * Changed methods:
 *
 * OM_SET
 * OM_UPDATE
 *	The class will intercept GA_Top, GA_Left, GA_Width and GA_Height
 *	and adjust its childs accordingly. The PGA_#? attributes
 *	are forwarded to the embedded prop gadget.
 *
 * GM_LAYOUT
 *	The class will adjust the position and size of all its children
 *	and forward the GM_LAYOUT method to them.
 */
