#ifndef EXTFRAMEICLASS_H
#define EXTFRAMEICLASS_H
/*
**  ExtFrameIClass - (c) 1999 Matteo Cavalleri
**
**
**  Please read the documentation for
**  usage and license of this source.
*/

/* /// "Global" */

/* supported frame types */

/* these are the same as defined in imageclass.h
**
** #define FRAME_DEFAULT        0
** #define FRAME_BUTTON         1
** #define FRAME_RIDGE          2
** #define FRAME_ICONDROPBOX    3
**
** these are new frame types
*/
#define FRAME_FLAT              4
#define FRAME_XEN               5
#define FRAME_BUTTON2           6
#define FRAME_RIDGE2            7

/* maximum number of frames defined, never to
** be used outside the class (it must be equal
** to the last defined frame, not bigger)
*/
#define EXTFRAME_MAXFRAME       7

/* attributes for this class */
#define IA_FrameDistance        (IA_Dummy + 0x53)
#define IA_InnerDistance        (IA_Dummy + 0x54)
#define IA_PenBackground        (IA_Dummy + 0x55)
#define IA_PenSelBackground     (IA_Dummy + 0x56)
#define IA_PenShine             (IA_Dummy + 0x57)
#define IA_PenShadow            (IA_Dummy + 0x58)
#define IA_PenHalfShine         (IA_Dummy + 0x59)
#define IA_PenHalfShadow        (IA_Dummy + 0x5a)

/* flags for IM_FRAMEBOX method
**
** #define FRAMEF_SPECIFY       (1 << 0)
*/
#define FRAMEF_QUERY            (1 << 1)

#ifndef PRIVATE_EXTFRAMEICLASS
    #define EXTFRAMEICLASS      "extframeiclass"
#else
    Class *makeExtFrameIClass(void);

    #define freeExtFrameIClass(cl) FreeClass(cl)
#endif

/* /// */

#endif

